package util.bdd;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JComboBox;

public class ConexaoBDD {

    private Connection  conexao;

    public ConexaoBDD() {

       String dadosBanco = "jdbc:mysql://192.168.2.101/togo";
       String usuario = "togo";
       String senha = "123456";
        try {
            conexao = DriverManager.getConnection(dadosBanco, usuario, senha);
                                                  
                System.out.println("Conexão com sucesso!! xD");

        } catch (SQLException ex) {

                System.out.println("Erro de conexão: " + ex.toString());

        }

   }



    public void adicionarProfessores(String nome, int CPF){

           String sql = "INSERT INTO Professor (pNome, pCPF) VALUES (?,?)";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            //preenchendo as interrogações na instrução MYSQL
            st.setString(1, nome);
            st.setInt(2, CPF);

            //executando
           st.execute();
           //fechando a instrução
           st.close();

            System.out.println("Inserido com sucesso :D");

        } catch (SQLException ex) {
            System.out.println("Erro ao inserir: " + ex.toString());
        }

       }

    public void adicionarAlunos(String nome, int CPF){

           String sql = "INSERT INTO Alunos (aNome, aCPF) VALUES (?,?)";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            //preenchendo as interrogações na instrução MYSQL
            st.setString(1, nome);
            st.setInt(2, CPF);

            //executando
           st.execute();
           //fechando a instrução
           st.close();

            System.out.println("Inserido com sucesso :D");

        } catch (SQLException ex) {
            System.out.println("Erro ao inserir: " + ex.toString());
        }

       }


    public void adicionarDisciplinas(String nome){

           String sql = "INSERT INTO Disciplina (dNome) VALUES (?)";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            //preenchendo as interrogações na instrução MYSQL
            st.setString(1, nome);

            //executando
           st.execute();
           //fechando a instrução
           st.close();

            System.out.println("Inserido com sucesso :D");

        } catch (SQLException ex) {
            System.out.println("Erro ao inserir: " + ex.toString());
        }

       }

    public void adicionarTurmas(int DisciplinaID, int ProfessorID){
           String sql = "INSERT INTO Turma (tDisciplina, tProfessor) VALUES (?,?)";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            //preenchendo as interrogações na instrução MYSQL
            st.setInt(1, DisciplinaID);
            st.setInt(2, ProfessorID);

            //executando
           st.execute();
           //fechando a instrução
           st.close();

            System.out.println("Inserido com sucesso :D");

        } catch (SQLException ex) {
            System.out.println("Erro ao inserir: " + ex.toString());
        }

       }

         public void adicionarMatricula(int AlunoID, int TurmaID){

           String sql = "INSERT INTO Matricula (mAluno, mTurma) VALUES (?,?)";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            //preenchendo as interrogações na instrução MYSQL
            st.setInt(1, AlunoID);
            st.setInt(2, TurmaID);

            //executando
           st.execute();
           //fechando a instrução
           st.close();

            System.out.println("Inserido com sucesso :D");

        } catch (SQLException ex) {
            System.out.println("Erro ao inserir: " + ex.toString());
        }

       }

    public void selecionarTurma(JComboBox jCBTurma) {


         String sql = "SELECT tID FROM Turma";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            ResultSet rs = st.executeQuery();

            while(rs.next() == true){


            String Turma = rs.getString("tID");

                jCBTurma.addItem(Turma);

            }
            //fechando a instrução
            rs.close();
            st.close();
            

        } catch (SQLException ex) {
            System.err.println("Erro ao listar: " + ex.toString());
        }

    }

    public void selecionarDisciplina(JComboBox jCBDisciplina) {


         String sql = "SELECT dID, dNome FROM Disciplina";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            ResultSet rs = st.executeQuery();

            while(rs.next() == true){


            String Disciplina = rs.getString("dNome");
            String DisciplinaID = rs.getString("dID");

                jCBDisciplina.addItem(DisciplinaID + " - " + Disciplina);


            }
            //fechando a instrução
            rs.close();
            st.close();


        } catch (SQLException ex) {
            System.err.println("Erro ao listar: " + ex.toString());
        }

    }


   
    public void selecionarProfessor(JComboBox jCBProfessor) {


        String sql = "SELECT pID, pNome FROM Professor";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            ResultSet rs = st.executeQuery();

            while(rs.next() == true){


            String Professor = rs.getString("pNome");
            String ProfessorID = rs.getString("pID");

                jCBProfessor.addItem(ProfessorID + " - " + Professor);

            }
            //fechando a instrução
            rs.close();
            st.close();

        } catch (SQLException ex) {
            System.err.println("Erro ao listar: " + ex.toString());
        }

    }

    public void selecionarAlunos(JComboBox jCBAluno) {


         String sql = "SELECT aID, aNome FROM Alunos";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            ResultSet rs = st.executeQuery();

            while(rs.next() == true){


            String Aluno = rs.getString("aNome");
            String AlunoID = rs.getString("aID");

                jCBAluno.addItem(AlunoID + " - " + Aluno);

            }
            //fechando a instrução
            rs.close();
            st.close();

        } catch (SQLException ex) {
            System.err.println("Erro ao listar: " + ex.toString());
        }

    }

    public void listarChamada(int TurmaID) {
//String sql = "INSERT INTO Turma (tDisciplina, tProfessor) VALUES (?,?)";
        //String sql = "SELECT Matricula (mID, mAluno, mTurma) VALUES (?,?)";

       int Turma = TurmaID;
        String sql = "SELECT m.mID, a.aNome, t.tID FROM Matricula m, Alunos a, Turma t WHERE "
                + "m.mAluno = a.aID AND m.mTurma = t.tID AND t.tID = "+Turma+"";

        try {
            PreparedStatement st = conexao.prepareStatement(sql);

            ResultSet rs = st.executeQuery();

            while(rs.next() == true){

            String matriculaID = rs.getString("mID");
            String nomeAluno = rs.getString("aNome");
            String turmaID = rs.getString("tID");

                System.out.println("-----------------------------");
                System.out.println("Matricula: " + matriculaID + "\nAluno: " + nomeAluno +
                        "\nTurma: "+ turmaID);


            }
            //fechando a instrução
            rs.close();
            st.close();


        } catch (SQLException ex) {
            System.err.println("Erro ao listar: " + ex.toString());
        }

    }

/*public void getTurma(int turma) {

         String mTurma = ""+turma;

         // Retorna ID das matriculas dos alunos
         String sql1 = "SELECT m.mTurma FROM Matricula m, Turma t  WHERE m.mTurma = "+mTurma;

         System.out.println(sql1);

         String mAluno = "";
         String sql2 = "SELECT a.aMatricula FROM Alunos a, Matricula m  WHERE a.aID = "+mAluno;

         System.out.println(sql2);

    }*/


}
